// pages/lookPrizeDetail/lookPrizeDetail.js
const app = getApp()
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    lookIndex:{
      type: Object,
      value: {}
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    imgUrl: app.globalData.urlStatic,//图片路径
    showType:1
  },
  //组件生命周期函数-在组件实例进入页面节点树时执行
  attached(){
    
  },
  /**
   * 组件的方法列表
   */
  methods: {
    closeXieyi: function () {
      this.triggerEvent('lookPrizeDetail')
    },
    showTypeControl: function (e) {
      this.setData({
        showType: e.currentTarget.dataset.type
      })
    },
    copyExchangeCode: function () {
      var text = this.data.lookIndex.couponCode || this.data.lookIndex.productCode || "";
      this.contentCopy(text);
    },
    contentCopy: function (text) {//内容复制
      wx.setClipboardData({
        data: text
      })
    },
  }
})
